## libgpepimc 0.1

=== Makefile ===
PREFIX = /usr/local
PACKAGE = libgpepimc
#DEBUG = yes 
CVSBUILD = no
VERSION = 0.1

LINGUAS = 

MEMBERS = ui db

SONAME = $(PACKAGE).so.0

CFLAGS = $(GPECFLAGS) -DG_DISABLE_DEPRECATED -I../libdisplaymigration
LDFLAGS = $(GPELIBS)

CFLAGS += -DPREFIX=\"$(PREFIX)\" -DPACKAGE=\"$(PACKAGE)\" -D_GNU_SOURCE -Wall -fPIC

ifeq ($(DEBUG),yes)
CFLAGS += -g #-O2 -g
LDFLAGS += -g
else
CFLAGS += -Os -fomit-frame-pointer
endif
CFLAGS += -MD

CPPFLAGS += -I.

HEADERS = 

OBJS = $(patsubst %,%.o,$(MEMBERS))
DEPS = $(patsubst %,%.d,$(MEMBERS))
SOURCES = $(patsubst %,%.c,$(MEMBERS))

ifeq ($(CVSBUILD),yes)
BUILD = ../build
else
BUILD = build
endif

all: $(PACKAGE).so $(PACKAGE).pc $(PACKAGE)-uninstalled.pc

$(PACKAGE).so: $(SONAME)
	ln -sf $^ $@

$(SONAME): $(OBJS)
	$(CC) -nostartfiles -shared -o $@ $^ -Wl,-soname -Wl,$(SONAME) $(LDFLAGS)

.c.s:;
	$(CC) $(CFLAGS) -S $<

install-devel: $(PACKAGE).pc
	for i in $(HEADERS); do install -m 644 -D $$i $(DESTDIR)$(PREFIX)/include/gpe/$$i; done
	ln -s $(SONAME) $(DESTDIR)$(PREFIX)/lib/$(PACKAGE).so

clean:
	rm -f $(OBJS) $(SONAME) $(PACKAGE).so $(DEPS) $(PACKAGE).pc $(PACKAGE)-uninstalled.pc

install-program: $(SONAME)
	mkdir -p $(DESTDIR)$(PREFIX)/lib/
	install -s $(SONAME) $(DESTDIR)$(PREFIX)/lib/$(SONAME)

include $(BUILD)/Makefile.translation
include $(BUILD)/Makefile.dpkg_ipkg
-include $(DEPS)

## libgpepimc 0.3

=== Makefile ===
PREFIX = /usr/local
PACKAGE = libgpepimc
#DEBUG = yes 
CVSBUILD = no
VERSION = 0.3

LINGUAS = 

MEMBERS = ui db

SONAME = $(PACKAGE).so.0

ifeq ($(CVSBUILD),yes)
PACKAGE_CPPFLAGS += -I../libdisplaymigration 
PACKAGE_LDFLAGS += -L../libdisplaymigration 
endif
PACKAGE_CFLAGS = $(GPECFLAGS) -fPIC
PACKAGE_LDFLAGS += $(GPELIBS) -ldisplaymigration
PACKAGE_CPPFLAGS += -DPREFIX=\"$(PREFIX)\" -DPACKAGE=\"$(PACKAGE)\" -DG_DISABLE_DEPRECATED -I.

HEADERS = gpe/pim-categories.h gpe/pim-categories-ui.h

OBJS = $(patsubst %,%.o,$(MEMBERS))
DEPS = $(patsubst %,%.d,$(MEMBERS))
SOURCES = $(patsubst %,%.c,$(MEMBERS))

ifeq ($(CVSBUILD),yes)
BUILD = ../build
else
BUILD = build
endif

all: $(PACKAGE).so $(PACKAGE).pc $(PACKAGE)-uninstalled.pc

$(PACKAGE).so: $(SONAME)
	ln -sf $^ $@

$(SONAME): $(OBJS)
	$(CC) -nostartfiles -shared -o $@ $^ -Wl,-soname -Wl,$(SONAME) $(LDFLAGS) $(PACKAGE_LDFLAGS)

install-devel: $(PACKAGE).pc
	for i in $(HEADERS); do install -m 644 -D $$i $(DESTDIR)$(PREFIX)/include/$$i; done
	install -m 644 -D $(PACKAGE).pc $(DESTDIR)$(PREFIX)/lib/pkgconfig/$(PACKAGE).pc
	ln -s $(SONAME) $(DESTDIR)$(PREFIX)/lib/$(PACKAGE).so

clean:
	rm -f $(OBJS) $(SONAME) $(PACKAGE).so $(DEPS) $(PACKAGE).pc $(PACKAGE)-uninstalled.pc

install-program: $(SONAME)
	mkdir -p $(DESTDIR)$(PREFIX)/lib/
	install -s $(SONAME) $(DESTDIR)$(PREFIX)/lib/$(SONAME)

include $(BUILD)/Makefile.translation
include $(BUILD)/Makefile.dpkg_ipkg
-include $(DEPS)

## libgpepimc 0.4

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 PACKAGE = libgpepimc
 #DEBUG = yes 
 CVSBUILD = no
-VERSION = 0.3
+VERSION = 0.4
 
 LINGUAS = 
 
@@ -14,8 +14,8 @@
 PACKAGE_CPPFLAGS += -I../libdisplaymigration 
 PACKAGE_LDFLAGS += -L../libdisplaymigration 
 endif
-PACKAGE_CFLAGS = $(GPECFLAGS) -fPIC
-PACKAGE_LDFLAGS += $(GPELIBS) -ldisplaymigration
+PACKAGE_CFLAGS = $(GPECFLAGS) $(GTKCFLAGS) -fPIC
+PACKAGE_LDFLAGS += $(GPELIBS) $(GTKLIBS) -ldisplaymigration
 PACKAGE_CPPFLAGS += -DPREFIX=\"$(PREFIX)\" -DPACKAGE=\"$(PACKAGE)\" -DG_DISABLE_DEPRECATED -I.
 
 HEADERS = gpe/pim-categories.h gpe/pim-categories-ui.h

## libgpepimc 0.9

=== debian/changelog ===
libgpepimc (0.9-4) unstable; urgency=low

  * Drop docs completely, there never was any additional content over
    what is listed in the header file.

 -- Neil Williams <codehelp@debian.org>  Thu, 09 Feb 2012 10:40:33 +0000

libgpepimc (0.9-3) unstable; urgency=low

  * Add to pkg-gpe SVN
  * Migrate to MultiArch paths
  * Fix section for debug package.
  * Drop unnecessary build-dep on libdisplaymigration

 -- Neil Williams <codehelp@debian.org>  Tue, 07 Feb 2012 15:25:22 +0000

libgpepimc (0.9-2) unstable; urgency=low

  * Add Homepage field in control file.
  * Add GPE team to Uploaders.

 -- Moray Allan <moray@debian.org>  Sun, 13 Apr 2008 16:12:11 +0200

libgpepimc (0.9-1) unstable; urgency=low

  * New upstream release.

 -- Moray Allan <moray@debian.org>  Fri, 16 Nov 2007 21:01:27 +0000

libgpepimc (0.8-4) unstable; urgency=low

  * Fix libgpepimc-dev.links so documentation is linked to correct place.

 -- Moray Allan <moray@debian.org>  Sat, 28 Apr 2007 16:02:46 +0100

libgpepimc (0.8-3) unstable; urgency=low

  * Fix -dbg package Depends.

 -- Moray Allan <moray@debian.org>  Sat, 28 Apr 2007 15:40:43 +0100

libgpepimc (0.8-2) unstable; urgency=low

  * Add -dbg package.

 -- Moray Allan <moray@debian.org>  Sun, 22 Apr 2007 21:24:13 +0100

libgpepimc (0.8-1) unstable; urgency=low

  * New upstream release.
  * Update watch file.

 -- Moray Allan <moray@debian.org>  Sun, 22 Apr 2007 14:14:55 +0100

libgpepimc (0.6-1) unstable; urgency=low

  * New upstream release.
  * Include HTML documentation in -dev package.

 -- Moray Allan <moray@debian.org>  Sat,  4 Mar 2006 00:27:20 +0000

libgpepimc (0.5-3) unstable; urgency=low

  * Add libglib2.0-dev to -dev package's Depends.  Closes: #351078.

 -- Moray Allan <moray@debian.org>  Sat, 11 Feb 2006 22:19:23 +0000

libgpepimc (0.5-2) unstable; urgency=low

  * Add intltool to Build-depends.

 -- Moray Allan <moray@debian.org>  Sat, 14 Jan 2006 16:14:53 +0000

libgpepimc (0.5-1) unstable; urgency=low

  * New upstream release.

 -- Moray Allan <moray@debian.org>  Sat, 14 Jan 2006 13:18:48 +0000

libgpepimc (0.4-2) unstable; urgency=low

  * Use Requires.private field in .pc files.

 -- Moray Allan <moray@debian.org>  Sat, 14 Jan 2006 13:14:46 +0000

libgpepimc (0.4-1) unstable; urgency=low

  * New upstream release.

 -- Moray Allan <moray@debian.org>  Sun, 13 Feb 2005 16:35:59 +0000

libgpepimc (0.3-2) unstable; urgency=low

  * Fix watch file URL.

 -- Moray Allan <moray@debian.org>  Sun, 13 Feb 2005 16:35:05 +0000

libgpepimc (0.3-1) unstable; urgency=low

  * New upstream release.

 -- Moray Allan <moray@debian.org>  Sun, 18 Jul 2004 00:42:17 +0100

libgpepimc (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Moray Allan <moray@debian.org>  Sat,  6 Mar 2004 19:22:36 +0000

=== debian/control ===
Source: libgpepimc
Section: libs
Maintainer: Moray Allan <moray@debian.org>
Uploaders: Debian GPE team <pkg-gpe-maintainers@lists.alioth.debian.org>,
 Phil Blundell <pb@debian.org>, Philippe De Swert <philippedeswert@scarlet.be>,
 Neil Williams <codehelp@debian.org>
Build-Depends: cdbs (>= 0.4.93~), debhelper (>= 9), pkg-config, intltool,
 libsqlite0-dev, libgpewidget-dev, libglib2.0-dev
Standards-Version: 3.9.2
Homepage: http://gpe.linuxtogo.org/
Vcs-SVN: svn://svn.debian.org/pkg-gpe/trunk/libgpepimc/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gpe/trunk/libgpepimc/trunk/

Package: libgpepimc-dev
Provides: libgpepimc0-dev
Replaces: libgpepimc0-dev
Section: libdevel
Priority: optional
Architecture: any
Multi-Arch: same
Depends: libgpepimc0 (= ${binary:Version}), libglib2.0-dev, ${misc:Depends}
Description: category management for GPE applications [development]
 libgpepimc manages categories for GPE personal information management
 applications. It maintains a central editable list of categories, which can
 be used to help organise, for example, 'to do' list items and address book
 entries.
 . 
 This package contains development files for libgpepimc.

Package: libgpepimc0
Section: libs
Priority: optional
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: category management for GPE applications [runtime]
 libgpepimc manages categories for GPE personal information management
 applications. It maintains a central editable list of categories, which can
 be used to help organise, for example, 'to do' list items and address book
 entries.
 .
 This package contains the runtime files for libgpepimc.

Package: libgpepimc0-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libgpepimc0 (= ${binary:Version}), ${misc:Depends}
Description: category management for GPE applications [debugging]
 libgpepimc manages categories for GPE personal information management
 applications. It maintains a central editable list of categories, which can
 be used to help organise, for example, 'to do' list items and address book
 entries.
 .
 This package contains debugging information for libgpepimc.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

clean::
	$(RM) doc/libgpepimc-decl-list.txt doc/libgpepimc-decl.txt doc/libgpepimc-undocumented.txt
	$(RM) doc/tmpl/pim-categories.sgml
	$(RM) doc/xml/libgpepimc-doc.bottom  
	$(RM) doc/xml/object_index.sgml
	$(RM) doc/xml/pim-categories-ui.xml
	$(RM) doc/xml/tree_index.sgml

=== debian/watch ===
version=2

http://gpe.linuxtogo.org/download/source/libgpepimc-(.*)\.tar\.bz2 \
	debian	uupdate

## libgpepimc 2.8%2bmaemo%2bsvn20081212-3

=== debian/changelog ===
libgpepimc (2.8+maemo+svn20081212-3) unstable; urgency=low

  * MUD build using revision {20081212}

 -- Graham Cobb <g+770@cobb.uk.net>  Mon, 15 Dec 2008 16:31:19 +0000

libgpepimc (0.4m1-5) unstable; urgency=low

  * Changed dependencies one more time.

 -- Florian Boor <florian.boor@kernelconcepts.de>  Sun, 25 Jul 2005 20:17:44 +0200
 

libgpepimc (0.4m1-4) unstable; urgency=low

  * Changed dependencies.

 -- Florian Boor <florian.boor@kernelconcepts.de>  Mon, 30 May 2005 20:17:44 +0200

libgpepimc (0.4m1-3) unstable; urgency=low

  * Minor fixes.

 -- Florian Boor <florian.boor@kernelconcepts.de>  Mon, 09 May 2005 20:17:44 +0200
 

libgpepimc (0.4m1-2) unstable; urgency=low

  * Minor fixes.

 -- Florian Boor <florian.boor@kernelconcepts.de>  Wed, 29 Apr 2005 20:17:44 +0200

libgpepimc (0.4m1-1) unstable; urgency=low

  * Initial Maemo release.

 -- Florian Boor <florian.boor@kernelconcepts.de>  Wed, 27 Apr 2005 15:17:44 +0200

## libgpepimc 2.8%2bmaemo%2bsvn20090904-1

=== debian/changelog ===
libgpepimc (2.8+maemo+svn20090904-1) unstable; urgency=low

  * MUD build using revision {20090904}

 -- Graham Cobb <g+770@cobb.uk.net>  Fri, 04 Sep 2009 07:43:22 +0100

## libgpepimc 2.8%2bmaemo%2bsvn20090912-1

=== debian/changelog ===
libgpepimc (2.8+maemo+svn20090912-1) unstable; urgency=low

  * MUD build using revision {20090912}

 -- Graham Cobb <g+770@cobb.uk.net>  Sat, 12 Sep 2009 07:42:20 +0100

## libgpepimc 2.8%2bmaemo%2bsvn20090916-1

=== debian/changelog ===
libgpepimc (2.8+maemo+svn20090916-1) unstable; urgency=low

  * MUD build using revision {20090916}

 -- Graham Cobb <g+770@cobb.uk.net>  Wed, 16 Sep 2009 21:11:53 +0100

=== debian/control ===
Source: libgpepimc
Uploaders: MUD Project <mud-builder-team@garage.maemo.org>
Priority: optional
Maintainer: Graham Cobb <g+770@cobb.uk.net>
Build-Depends: debhelper (>= 4.0.0), autotools-dev, libgtk2.0-dev,
  libglib2.0-dev, libsqlite0-dev, libgpewidget-dev, intltool,
  libhildon1-dev
Standards-Version: 3.6.1
Section: libs

Package: libgpepimc-dev
Section: libdev
Architecture: any
Depends: libgpepimc1 (= ${Source-Version}), libgtk2.0-dev, libsqlite-dev
Description: GPE libgpepimc library
  Category handling for GPE PIM applications.
  Packaged with MUD

Package: libgpepimc1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GPE libgpepimc library
  Category handling for GPE PIM applications.
  Packaged with MUD

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure:
	intltoolize --copy --automake --force
	autoreconf -f -i -s

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --enable-hildon --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info  --enable-hildon --disable-cairo


build: build-stamp
build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean  --exclude ./Makefile.orig --exclude ./libtool.orig

install: build
	dh_testdir
	dh_testroot
	dh_clean -k  --exclude ./Makefile.orig --exclude ./libtool.orig
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_movefiles
#	dh_installchangelogs ChangeLog
#	dh_installdocs
#	dh_installexamples
	dh_install --sourcedir=debian/tmp
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## libgpepimc 2.8%2bmaemo%2bsvn20090920-1

=== debian/changelog ===
libgpepimc (2.8+maemo+svn20090920-1) unstable; urgency=low

  * MUD build using revision {20090920}

 -- Graham Cobb <g+770@cobb.uk.net>  Sun, 20 Sep 2009 07:40:41 +0100

## libgpepimc 2.8%2bmaemo%2bsvn20090927-1

=== debian/changelog ===
libgpepimc (2.8+maemo+svn20090927-1) unstable; urgency=low

  * MUD build using revision {20090927}

 -- Graham Cobb <g+770@cobb.uk.net>  Sun, 27 Sep 2009 13:21:34 +0100

## libgpepimc 2.8%2bmaemo%2bsvn20091005-1

=== debian/changelog ===
libgpepimc (2.8+maemo+svn20091005-1) unstable; urgency=low

  * MUD build using revision {20091005}

 -- Graham Cobb <g+770@cobb.uk.net>  Mon, 05 Oct 2009 07:44:41 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Graham Cobb <g+770@cobb.uk.net>
 Build-Depends: debhelper (>= 4.0.0), autotools-dev, libgtk2.0-dev,
   libglib2.0-dev, libsqlite0-dev, libgpewidget-dev, intltool,
-  libhildon1-dev
+  libhildon1-dev, maemo-optify
 Standards-Version: 3.6.1
 Section: libs

## libgpepimc 2.8%2bmaemo%2bsvn20100128-1

=== debian/changelog ===
libgpepimc (2.8+maemo+svn20100128-1) unstable; urgency=low

  * MUD build using revision {20100128}

 -- Graham Cobb <g+770@cobb.uk.net>  Thu, 28 Jan 2010 16:27:35 +0000

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,8 @@
 Uploaders: MUD Project <mud-builder-team@garage.maemo.org>
 Priority: optional
 Maintainer: Graham Cobb <g+770@cobb.uk.net>
-Build-Depends: debhelper (>= 4.0.0), autotools-dev, libgtk2.0-dev,
-  libglib2.0-dev, libsqlite0-dev, libgpewidget-dev, intltool,
-  libhildon1-dev, maemo-optify
+Build-Depends: maemo-version-dev, libsqlite0-dev, libhildon1-dev,
+  gnome-common, libgpewidget-dev
 Standards-Version: 3.6.1
 Section: libs

## libgpepimc 2.8%2bmaemo%2bsvn20100129-1

=== debian/changelog ===
libgpepimc (2.8+maemo+svn20100129-1) unstable; urgency=low

  * MUD build using revision {20100129}

 -- Graham Cobb <g+770@cobb.uk.net>  Fri, 29 Jan 2010 10:43:35 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Uploaders: MUD Project <mud-builder-team@garage.maemo.org>
 Priority: optional
 Maintainer: Graham Cobb <g+770@cobb.uk.net>
-Build-Depends: maemo-version-dev, libsqlite0-dev, libhildon1-dev,
-  gnome-common, libgpewidget-dev
+Build-Depends: maemo-optify, libaudiofile-dev, maemo-version-dev,
+  libsqlite0-dev, libhildon1-dev, gnome-common, libgpewidget-dev
 Standards-Version: 3.6.1
 Section: libs

=== debian/rules ===
--- 
+++ 
@@ -112,6 +112,7 @@
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
+	if which maemo-optify >/dev/null ; then maemo-optify ; fi
 	dh_md5sums
 	dh_builddeb

## libgpepimc 2.8%2bmaemo%2bsvn20100212-1

=== debian/changelog ===
libgpepimc (2.8+maemo+svn20100212-1) unstable; urgency=low

  * MUD build using revision {20100212}

 -- Graham Cobb <g+770@cobb.uk.net>  Fri, 12 Feb 2010 07:29:45 +0000
